package cn.ibizlab.businesscentral.core.odoo_account.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_account_template;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_account_templateSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[account_account_template] 服务对象接口
 */
@Component
public class account_account_templateFallback implements account_account_templateFeignClient{

    public Account_account_template update(Long id, Account_account_template account_account_template){
            return null;
     }
    public Boolean updateBatch(List<Account_account_template> account_account_templates){
            return false;
     }


    public Account_account_template get(Long id){
            return null;
     }




    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }

    public Account_account_template create(Account_account_template account_account_template){
            return null;
     }
    public Boolean createBatch(List<Account_account_template> account_account_templates){
            return false;
     }

    public Page<Account_account_template> search(Account_account_templateSearchContext context){
            return null;
     }



    public Page<Account_account_template> select(){
            return null;
     }

    public Account_account_template getDraft(){
            return null;
    }



    public Boolean checkKey(Account_account_template account_account_template){
            return false;
     }


    public Boolean save(Account_account_template account_account_template){
            return false;
     }
    public Boolean saveBatch(List<Account_account_template> account_account_templates){
            return false;
     }

    public Page<Account_account_template> searchDefault(Account_account_templateSearchContext context){
            return null;
     }


}
